Delete member
curl --request DELETE \
--url https://int-api.mx.com/users/{user_identifier}/members/{member_identifier} \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Members
Delete member
DELETE
/
users
/
{user_identifier}
/
members
/
{member_identifier}
Delete member
Accessing this endpoint will permanently delete a member.
Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
Example:
"v20250224"
Path Parameters
Use either the member id you defined or the MX-defined member guid. See MX-Defined GUIDs vs IDs Defined by You.
Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You.
Response
204
No Content

